
class Airplane:
    CAPACITY = 100000.0  # 100000L of fuel
    FUEL_CONSUMPTION = 5400.0  # 5400L/hour
    DOLLARS_PER_LITRE = 0.75  # $0.75/L of fuel
    SPEED = 800.0  # averages 800.0km/hour

    def __init__(self):
        self.fuel = self.CAPACITY
        self.totalDistance = 0.0

    def AirplaneAddFuel(self, amount):
        self.fuel += amount
        if self.fuel > self.CAPACITY:
            print("Fuel overflow, capping at " + str(self.CAPACITY) + "L.")
            self.fuel = self.CAPACITY

    def GetAirplaneDistance(self):
        # Calculate airplane distance logic
        return self.totalDistance

    def GetAirplaneTime(self):
        time = self.totalDistance / self.SPEED
        return time

    def GetAirplaneFuelLevel(self):
        # Calculate airplane fuel consumption logic
        return self.fuel

    def GetAirplaneFuelCost(self):
        cost = self.FUEL_CONSUMPTION * self.GetAirplaneTime() * self.DOLLARS_PER_LITRE
        return cost

    def AirplaneTravel(self, distance):
        time = distance / self.SPEED
        maxTime = self.fuel / self.FUEL_CONSUMPTION
        if maxTime < time:
            maxDistance = maxTime * self.SPEED
            print("Not enough fuel to travel " + str(distance) + "km. Travelling " + str(maxDistance) + "km instead.")
            self.totalDistance += maxDistance
            self.fuel = 0.0
        else:
            self.totalDistance += distance
            self.fuel -= time * self.FUEL_CONSUMPTION
